import native from "./native.mjs";
import rng from "./rng.mjs";
import { unsafeStringify } from "./stringify.mjs";
function v4(options, buf, offset) {
  if (native.randomUUID && true && !options) {
    return native.randomUUID();
  }
  options = options || {};
  const rnds = options.random || (options.rng || rng)();
  rnds[6] = rnds[6] & 15 | 64;
  rnds[8] = rnds[8] & 63 | 128;
  return unsafeStringify(rnds);
}
export {
  v4 as default
};
